Skip to content

getPeriodCloseReadiness

READ

Get period close readiness.

POST /api/v1/accounting/getPeriodCloseReadiness
curl -X POST '<your-host>/api/v1/accounting/getPeriodCloseReadiness' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "periodId": "string"
  }'
Response
{
  "checks": [
    {
      "autoCheckKey": "string",
      "severity": "Warning",
      "label": "string",
      "failing": true,
      "count": 0,
      "documents": [
        {
          "documentType": "Payment",
          "id": "string",
          "readableId": "string",
          "status": "string"
        }
      ]
    }
  ],
  "blockers": [
    {
      "key": "string",
      "label": "string",
      "count": 0
    }
  ],
  "warnings": [
    {
      "key": "string",
      "label": "string",
      "count": 0
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "periodId": {
      "type": "string"
    }
  },
  "required": [
    "periodId"
  ]
}